# lock(2m)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

lock - Pipe cursor position lock

## SYNOPSIS

lock Mode

k - mode line letter.

## DESCRIPTION

This mode can only be used while an incremental pipe (started by ipipe-shell-command(2)) is running in the current buffer, denoted by the pipe(2m) being set. When this mode is enabled and MicroEmacs 2009 buffer cursor is at the same location as the process shell cursor, the buffer cursor is automatically moved with the shell cursor.

This mode is automatically enabled for a piped buffer.

## SEE ALSO

Operating Modes, ipipe-shell-command(2), pipe(2m).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>